package Leonardo;

import java.io.*;

public class Keyboard{
	private static BufferedReader buf = new BufferedReader(new InputStreamReader(System.in));

/** Reads a line from the prompt and returns a String*/

    public static String readString(){
        String s = "";
        try{
            s = buf.readLine();
        }catch (IOException e){System.err.println("Typing error: unknown content!!");}
       return s;
    }

/** Reads a single char from the prompt and returns a char*/

    public static char readChar(){
        char ch = 0;
        try{
            String s = buf.readLine();
            if (s.equals("")) System.out.println("No Input");
            else ch = s.charAt(0);

		// Alternatively ch = (char)buf.read(); String s = readString();
        }catch (IOException e){System.err.println(e.getMessage());}
        return ch;
    }

/** Reads number from the prompt and returns an int*/

    public static int readInt(){
        String s = "";
        int i = 0;
        boolean ok = false;
        while (!ok) {
        s = readString();
        try{
            i = Integer.parseInt(s);
            ok = true;
        }catch (NumberFormatException e){ System.err.println("Error in integer format! Try again -> ");}
  }//while
      return i;
     }

/** Reads number from the prompt and returns an int*/

    public static double readDouble(){
        String s = "";
        double d = 0;
        boolean ok = false;
        while (!ok) {
        s = readString();
        try{
            d = Double.parseDouble(s);
            ok = true;
        }catch (NumberFormatException e){ System.err.println("Error in integer format! Try again -> ");}
  }//while
      return d;
     }



 /** Prints a String and new lineshift to the screen*/

    public static void promtln(String s){
        System.out.println(s);
    }

/** Prints a String to the screen*/

    public static void promt(String s){
        System.out.print(s);
    }
}